Bug 1006511 - CVE-2013-4297 CVE-2013-4291 CVE-2013-5651 libvirt: various flaws [fedora-all]
CVE-2013-4297 CVE-2013-4291 CVE-2013-5651 libvirt: various flaws [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libvirt (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Libvirt Maintainers
Fedora Extras Quality Assurance
: Reopened, Security, SecurityTracking
Depends On:
Blocks: 1006394 CVE-2013-5651 CVE-2013-4297 CVE-2013-4291 1008328
  Show dependency treegraph
 
Reported: 2013-09-10 14:13 EDT by Petr Matousek
Modified: 2013-10-12 00:32 EDT (History)
10 users (show)

See Also:
Fixed In Version: libvirt-1.1.3-2.fc20
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-12 00:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-09-10 14:13:32 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]
Comment 1 Petr Matousek 2013-09-10 14:13:49 EDT
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1006509,1006511
Comment 2 Petr Matousek 2013-09-10 14:14:55 EDT
Adding parent bug 1006493 (for CVE-2013-5651).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1006511,1006493,1006509
Comment 3 Petr Matousek 2013-09-10 14:16:09 EDT
Adding parent bug 1006505 (for CVE-2013-4297).  Please use this new bodhi update url when correcting these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1006511,1006493,1006505,1006509
Comment 4 Eric Blake 2013-09-12 13:59:12 EDT
All of the fixes for CVE-2013-4297, CVE-2013-4291, and CVE-2013-5651 have been backported to v0.10.2-maint (Fedora 18), v1.0.5-maint (Fedora 19), and v1.1.2-maint (Fedora 20/rawhide) as appropriate.  Moving to POST, and waiting for Cole to cut builds for these issues (which will probably coincide with yet MORE CVEs that are currently under embargo).
Comment 5 Fedora Update System 2013-09-20 17:43:06 EDT
libvirt-1.0.5.6-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-1.fc19
Comment 6 Fedora Update System 2013-09-20 17:43:11 EDT
libvirt-0.10.2.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libvirt-0.10.2.8-1.fc18
Comment 7 Fedora Update System 2013-09-21 04:27:12 EDT
Package libvirt-1.0.5.6-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.0.5.6-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17279/libvirt-1.0.5.6-1.fc19
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-09-23 15:09:12 EDT
libvirt-1.1.2-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvirt-1.1.2-3.fc20
Comment 9 Fedora Update System 2013-09-24 10:47:40 EDT
libvirt-1.0.5.6-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libvirt-1.0.5.6-2.fc19
Comment 10 Fedora Update System 2013-09-30 22:13:13 EDT
libvirt-0.10.2.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-10-01 07:30:52 EDT
libvirt-1.1.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvirt-1.1.3-1.fc20
Comment 12 Fedora Update System 2013-10-02 02:40:13 EDT
libvirt-1.0.5.6-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-10-06 15:47:24 EDT
libvirt-1.1.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libvirt-1.1.3-2.fc20
Comment 14 Fedora Update System 2013-10-07 11:43:35 EDT
Package libvirt-1.1.3-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libvirt-1.1.3-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18455/libvirt-1.1.3-2.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-10-12 00:32:41 EDT
libvirt-1.1.3-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.